/*
  Wio
  Common interface to OS specific window systems
  JBS 15 June 1994
*/

#ifndef _WIO_

#define _WIO_

#include "config.h"
#include "types.h"

void more(void);
void init_io(void);
void exit_io(void);
void unget_ch(char);
char get_ch(void);
int char_width(char c);
int display_width(void);
void repaint(int);
void scrollup(void);
void hide_cursor(void);
void show_cursor(void);
void redraw_cursor(void);

void pre_init_io(int *, char **);

#endif
